> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diga.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Knowledge Bases

> List all knowledge bases for the current company with pagination.

Filters:
    - name: case-insensitive partial match



## OpenAPI

````yaml /api-reference/openapi.json get /v1/knowledge/base/
openapi: 3.1.0
info:
  title: Diga API
  version: 0.1.0
servers:
  - url: https://api.diga.io
    description: Production
security: []
paths:
  /v1/knowledge/base/:
    get:
      tags:
        - Knowledge Bases
      summary: List Knowledge Bases
      description: |-
        List all knowledge bases for the current company with pagination.

        Filters:
            - name: case-insensitive partial match
      operationId: list_knowledge_bases_v1_knowledge_base__get
      parameters:
        - name: after
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: After
        - name: before
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Before
        - name: page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 1
              - type: 'null'
            title: Page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Limit
        - name: order
          in: query
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
            default: desc
            title: Order
        - name: agent_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Agent Id
        - name: name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Name
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_KnowledgeBaseResponseSchema_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - CustomHTTPBearer: []
components:
  schemas:
    PaginatedResponse_KnowledgeBaseResponseSchema_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/KnowledgeBaseResponseSchema'
          type: array
          title: Data
        first_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: First Id
        last_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Last Id
        has_more:
          type: boolean
          title: Has More
        current_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Current Page
        total_pages:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Pages
      type: object
      required:
        - data
        - has_more
      title: PaginatedResponse[KnowledgeBaseResponseSchema]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    KnowledgeBaseResponseSchema:
      properties:
        id:
          type: string
          format: uuid
          title: Knowledge Base ID
          description: Unique identifier for the knowledge base
        name:
          type: string
          title: Knowledge Base Name
          description: Name of the knowledge base
        created_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created Date
          description: When the base was created
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Knowledge Base Description
          description: Optional description of the knowledge base
        knowledge_item_ids:
          items:
            type: string
            format: uuid
          type: array
          title: Knowledge Item IDs
          description: List of knowledge item IDs associated with this base
        item_count:
          type: integer
          title: Item Count
          description: Number of knowledge items in this base
      type: object
      required:
        - id
        - name
        - knowledge_item_ids
        - item_count
      title: KnowledgeBaseResponseSchema
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    CustomHTTPBearer:
      type: http
      scheme: bearer

````